Get Round Matches
curl --request GET \
--url https://api.example.com/api/v1/tournament-rounds/{id}/matches/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.example.com/api/v1/tournament-rounds/{id}/matches/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.example.com/api/v1/tournament-rounds/{id}/matches/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"matches": [
{
"id": 123,
"players": [
{
"id": 123,
"match_id": 123,
"player": {
"id": 123,
"captain": true,
"queue_group": "<unknown>"
},
"user_event_status": {
"id": 123,
"captain": true,
"queue_group": "<unknown>"
},
"player_order": -1,
"games_won": -1
}
],
"table_number": -1,
"pod_number": -1,
"is_ghost_match": true,
"is_feature_match": true,
"match_is_bye": true,
"match_is_loss": true,
"deck_check_completed": true,
"deck_check_started": true,
"time_extension_seconds": -1,
"winning_player": 123,
"match_is_intentional_draw": true,
"match_is_unintentional_draw": true,
"games_drawn": -1,
"assigned_judge": {
"id": 123,
"captain": true,
"queue_group": "<unknown>"
},
"games_won_by_winner": -1,
"games_won_by_loser": -1
}
],
"team_event_matches": [
{
"id": 123,
"teams": [
{
"id": 123,
"team_event_players": [
{
"id": 123,
"event_status": {
"user": {
"id": 123,
"username": "<string>",
"best_identifier": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"pronouns": "<string>",
"has_used_app": true
},
"id": 123,
"decklist": {
"id": 123,
"name": "<string>",
"archetype": "<string>",
"moxfield_public_id": "<string>",
"commander_name": "<string>",
"partner_name": "<string>",
"decklist_updated_at": "2023-11-07T05:31:56Z",
"duplicated_moxfield_link": "<string>"
},
"user_identifier": "<string>",
"using_paper_decklist": true,
"mark_as_paid": true,
"requested_deferred_payment": true,
"total_match_points": -1,
"matches_won": -1,
"matches_lost": -1,
"matches_drawn": -1
},
"team": 123,
"captain": true,
"seat": 123
}
],
"team_name": "<string>",
"invite_hash": "<string>",
"is_dropped": true
}
],
"tournament_round": 123,
"first_table_number": -1,
"match_is_bye": true,
"is_draw": true,
"winner": 123
}
],
"tournament_phase": 123,
"round_number": -1,
"final_round_in_event": true,
"use_old_pairings": true,
"astrolabe_url": "<string>"
}tournament-rounds
Get Round Matches
Retrieve all matches for a specific tournament round. Optionally includes team matches when requested.
GET
/
api
/
v1
/
tournament-rounds
/
{id}
/
matches
/
Get Round Matches
Authorizations
APIKeyAPIKey
API key in format: sk_*
Path Parameters
A unique integer value identifying this tournament round.
Query Parameters
Include team matches in the response
Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
-2147483648 <= x <= 2147483647The astrolabe backend used to compute the pairings.
Maximum string length:
200NOT_GENERATED- Not GeneratedGENERATING- GeneratingGENERATED- Generated
Available options:
NOT_GENERATED, GENERATING, GENERATED NOT_GENERATED- Not GeneratedGENERATING- GeneratingGENERATED- Generated
Available options:
NOT_GENERATED, GENERATING, GENERATED PLAYER_MEETING- Player Meeting (sorted alphabetically)RANDOM_PLAYER_MEETING- Player Meeting (random)DRAFT_POD- Draft PodPLAY_VS_OPPONENT- Play vs Opponent
Available options:
PLAYER_MEETING, RANDOM_PLAYER_MEETING, DRAFT_POD, PLAY_VS_OPPONENT IN_PROGRESS- In ProgressUPCOMING- UpcomingCOMPLETE- Complete
Available options:
IN_PROGRESS, UPCOMING, COMPLETE ⌘I

